Packages - Bug #326

iceweasel-libre change addons repository
2013-05-07 03:23 PM - shackra

Status: fixed % Done: 0%
Priority: feature

Assignee:

Category:

Description

Trisquel have a better repository of plugins than GNUZilla. Why not change the default repository for those from Trisquel?
Modify (or adapt) the following parameters in about:config like this:

pfs.datasource.url = http://trisquel.info/sites/pfs.php?mime=%PLUGIN_MIMETYPE%
pfs.filehint.url = http://trisquel.info/sites/pfs.php?mime=%PLUGIN_MIMETYPES%

extensions.webservice.discoverURL = https://trisquel.info/browser-plain
extensions.getAddons.search.url = http://trisquel.info

browser.dictionaries.download.url = http://dictionaries.mozdev.org/
browser.search.searchEnginesURL = http://mycroft.mozdev.org/

| uploaded some screenshots to show the final result!

Related issues:
Related to Packages - Bug #325: compiles iceweasel-libre with Gstreamer support fixed 2013-05-07

History

#2 - 2013-05-08 12:19 AM - g.one

| agree!

#3 - 2013-05-20 03:57 PM - Anonymous

i put it on the last revision, but is not stable yet, example: if you install a addon from there it works fine, but when you want install another one, it
doesn't works i don't understand but f you dont have this problem please glve to us a complete patch based like lukeshu made it one example =>
/ Is.

#4 - 2013-12-14 07:31 AM - Anonymous

- Status changed from open to fixed

icecat has directory.fsf.org addons by default since 24.0 version, so we put it on iceweasel-libre, icedove-libre and iceape-libre too. now it's solved!
